Subject: bug#16395: Tab-containing lines displayed with different background?

From: Jarosław Rzeszótko <[email-masked]>
Date: Thu, 9 Jan 2014 14:53:08 +0100

Hi,

1. I start emacs with "emacs -Q"

2. I open up M-x customize-face[RET] default[RET]

3. I set the background to #151515, foreground to #ffffff, and "click" "Apply"

4. M-x find-file[RET] ~/text.bar[RET]

5. I insert into the file some combination of empty lines, lines
containing text, and lines containing hard tabs and text.

6. The result can be seen in the screenshot attached.

Here is the info from report-emacs-bug:

In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 3.8.7)
 of 2014-01-08 on the_computer
Bzr revision: [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11404000
System Description:    Gentoo Base System release 2.2

Configured using:
 `configure --prefix=/usr --build=i686-pc-linux-gnu
 --host=i686-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --disable-silent-rules
 --disable-dependency-tracking --program-suffix=-emacs-24-vcs
 --infodir=/usr/share/info/emacs-24-vcs
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --with-gameuser=games --without-compress-install
 --with-file-notification=inotify --enable-acl --with-dbus --with-gnutls
 --without-gpm --without-hesiod --without-kerberos --without-kerberos5
 --without-xml2 --without-selinux --without-wide-int --with-zlib
 --with-sound=alsa --with-x --without-ns --with-gconf
 --without-gsettings --with-toolkit-scroll-bars --without-gif
 --with-jpeg --with-png --with-rsvg --without-tiff --with-xpm
 --without-imagemagick --with-xft --without-libotf --without-m17n-flt
 --with-x-toolkit=gtk3 GENTOO_PACKAGE=app-editors/emacs-vcs-24.3.9999
 EBZR_BRANCH=trunk EBZR_REVNO=115920 'CFLAGS=-Os -march=prescott -pipe'
 CPPFLAGS= 'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Important settings:
  value of $LC_ALL: pl_PL.UTF8
  value of $LC_CTYPE: pl_PL.UTF8
  value of $LANG: pl_PL.UTF8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f f i l e . b a r C-g M-x c u s t o m i z e -
f a c e <return> d e f a u l t <return> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <end> <down> <C-left> <C-left>
<C-left> C-SPC <C-right> # <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> # f
5 <backspace> f f f f f <down> C-SPC <C-left> <backspace>
# 1 5 1 5 1 5 <up> <up> <up> <up> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> <up> <up> <left>
<left> <left> C-x C-f C-g <return> C-x C-f t e x t
. b a r <return> <return> <tab> a d s f SPC a s d f
<return> <return> <backspace> a s d f a s d f <return>
<return> <tab> <tab> a s d f a a s d f C-x C-s M-x
r e p o <tab> e <backspace> r <tab> <return>

Recent messages:
Creating customization items...
Creating customization items ...done
Resetting customization items...done
Creating customization setup...done
Mark set [2 times]
Quit
(New file)
Saving file /home/jarek/text.bar...
Wrote /home/jarek/text.bar
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode crm thingatpt cus-edit easymenu
cus-start cus-load wid-edit cl-loaddefs cl-lib time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Cheers,
Jarosław Rzeszótko

2014/1/9 Jan Djärv <[email-masked]>:
> Hello.
>
> Please use M-x report-emacs-bug, you still have not given us all info.
> The #141414 instead of #151515 simply isn't happening here.  I checked all
> pixels, there are only #151515.
>
> If you have another combination of colors, use that.
> And describe each step clearly, starting from emacs -Q.
>
> Thanks,
>
>         Jan D.
>
> 2014-01-09 11:01, Jarosław Rzeszótko skrev:
>
>> Hi,
>>
>> I reproduced it now with Emacs 24.3.50.1. It's the same with emacs -Q,
>> it does not change when changing the gtk+ theme, the one external
>> thing I thought might maybe influence this. I am just running a new
>> emacs session, using customize-face on the "default" face, setting
>> background to #151515, foreground to #ffffff, and opening a file where
>> some lines are empty and some lines have a bunch of tabs (I mean the
>> "hard" tab character, not just a bunch of spaces) and some text in
>> them. The difference is background might not be easily noticable but
>> it is there. It's similar for other dark background, the tabs+text
>> lines get different background than empty lines.
>>
>> Cheers,
>> Jarosław Rzeszótko
>>
>> 2014/1/8 Jan Djärv <[email-masked]>:
>>>
>>> Hello.
>>>
>>> 2014-01-07 20:29, Jarosław Rzeszótko skrev:
>>>>
>>>>
>>>> Hi,
>>>>
>>>> - Open up current bzr emacs --no-init, without any .Xresources, using
>>>> gtk+3
>>>>
>>>> - Customize default face to background #151515
>>>>
>>>> - Open a new text file
>>>>
>>>> - Insert a few empty lines
>>>>
>>>> - Insert a few lines starting with a few tabs and some text
>>>>
>>>> - The lines without text get a #141414 background, only the lines with
>>>> text get #151515, on a good display there are noticeable "stripes"
>>>>
>>>> Pretty strange...
>>>
>>>
>>>
>>> I can't reproduce this.  Can you please include the information from
>>> report-emacs-bug?  You don't mention the Emacs version.
>>> Also, does this happen with -Q?
>>> #151515 is pretty dark, so are you using the default foreground black?
>>> Texts are almost unreadable this way.  So I suspect you are not running
>>> vanilla Emacs, but have some customizations.
>>>
>>>          Jan D.
>>>
>>>
>